Update an existing offense
curl --request PUT \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/offenses/{offenseId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"paid": true,
"title": "<string>",
"committedTimestamp": "2025-10-07T10:24:41.143Z",
"location": "<string>",
"amount": 123,
"currency": "<string>",
"offenseStatement": "<string>"
}
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/offenses/{offenseId}"
payload = {
"paid": True,
"title": "<string>",
"committedTimestamp": "2025-10-07T10:24:41.143Z",
"location": "<string>",
"amount": 123,
"currency": "<string>",
"offenseStatement": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
paid: true,
title: '<string>',
committedTimestamp: '2025-10-07T10:24:41.143Z',
location: '<string>',
amount: 123,
currency: '<string>',
offenseStatement: '<string>'
})
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/offenses/{offenseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paid": true,
"customer": {
"mobilityProviderCountryCode": "AT",
"mobilityProviderCode": "ABC",
"customerId": "828c2d1c-d933-4138-9577-02c292b6d869"
},
"title": "<string>",
"committedTimestamp": "2025-10-07T10:24:41.143Z",
"location": "<string>",
"amount": 123,
"currency": "<string>",
"offenseStatement": "<string>",
"blob": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false
}
}Offenses
Update an existing offense
Overwrite the selected offense of the specified vehicle
PUT
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
offenses
/
{offenseId}
Update an existing offense
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Asset provider country code
Required string length:
2Asset provider code
Required string length:
3Id of vehicle
OffenseId
Body
application/json
Offense that should replace the one under the specified id
Response
Updated offense
Show child attributes
Show child attributes
Example:
"2025-10-07T10:24:41.143Z"
Required string length:
3Show child attributes
Show child attributes
Available options:
NOT_STARTED, MANUAL, PROCESSING, PROCESSED, ERROR ⌘I

